Home Forums Template Support Joomla 4

Viewing 9 posts - 1 through 9 (of 9 total)

  • JFS
    Subscriber

    As we all know, J4 was released today 🙂

    My question would be: How does the schedule for J4 look like? I guess Gantry is the show-stopper at the moment, right?

    Regards
    J.


    Tony
    Moderator

    Hi there,
    Please wait, We are working for J4 update and Gantry5 based themes, the new release for Gantry5 that support J4 is coming https://github.com/gantry/gantry5

    At the moment, I recommend you stay with Joomla 3.10.

    Thank you

    • This reply was modified 1 month, 1 week ago by Tony.

    JFS
    Subscriber

    Excellent, so let’s wait and see how the development of Gantry 5.5 is going on.


    Andrew Young
    Subscriber

    I see G5 has been released. 😳
    Waiting for you guys to do your magic. 👏🏼
    Have a couple of sites that we are totally rebuilding, so we are going to going to do that in J4, rather than go through the migration process.
    Patience is a virtue 🥴


    gyvermac
    Subscriber

    Hi all,

    I updated a test site from J 3.9/Gantry 5 to J3.10/Gantry 5 (no problem) and the to J4/Gantry 5.5/helium 5.5
    I bought Joomlead particles this morning. Installed UIKIT (V3) files and set the UIKIT atom.

    The website is still working except some css problems.

    Then I put jlslideshowjoomla in my homepage’s layout :
    – clic on “settting” -> “500 Internal Server Error Oops, An exception has been thrown during the rendering of a template (“Unknown fetch type ‘8’”)..
    – opening the homepage -> empty page

    If I remove jlslideshowjoomla from the layout the website is working again.

    Using jlslideshow instead of jlslideshowjoomla :
    – clic on “settting” -> OK except I can’t select any source image
    – opening the homepage -> empty page

    I know it’s a bit early to use J4/Gantry 5.5 but if this can help…


    Tony
    Moderator

    This issue happened to Gantry core particle (Joomla articles) too. You can follow the working process by Gantry team here https://github.com/gantry/gantry5
    New V5.5 feature https://github.com/gantry/gantry5/tree/feature/v5.5.0
    Gantry5 future plans https://github.com/gantry/gantry5/issues/2789

    Again, Please stay with Joomla 3.10 at the moment 🙂

    Thank you


    gyvermac
    Subscriber

    Thank you for answering
    I didn’t think to test with core particle (Joomla articles).
    I stay with J3.10 for production sites but as I said it was a test.
    I’ll continue to follow news on Gitter.

    Regards


    moti
    Subscriber

    Hi there,
    Do you have Joomla 4.02 templates available with Gantry 5 (or later)?
    I got a lifetime access license but I don’t see any move since a wild …
    Regards


    Tony
    Moderator

    Hi Moti,

    We are waiting for the final Gantry5 core plugin release, you can see the latest commit here https://github.com/gantry/gantry5/tree/feature/v5.5.0
    “Do you have Joomla 4.02 templates available with Gantry 5 (or later)?”
    We do not plan to release new template at the moment, We will focus on template update with Joomla 4, update the old template to Gantry5 framework and release the WordPress version for some themes. Here is the short overview.

    1. Our gantry5 particles will be updated to compatible with Gantry5 5.5 and Joomla 4 first. I’m working on 2.1.6 beta.
    2. We will start to release the update for Joomla 4 for all Gantry-powered themes next month(I hope the final release for Gantry5 5.5 will be released as soon as possible)
    3. For Warp 7 and Helix 3 based templates:
    3.1: Warp7-powered themes will be ported to Gantry5 framework (at the end of this year)
    3.2 Helix3 powered themes will be updated to Helix Ultimate 2 (at the end of this year)

    About Joomla 3.10 support Lifecycle
    Users can expect continued support for old templates(based on Warp7 or Helix3 framework) throughout the life of Joomla 3.10, which is expected to be 2 years from the time it becomes available.

    Again, I recommend you stay with Joomla 3.10 at the moment, some components like Unite slider, K2, J2store, VM are not compatible with Joomla 4 at the moment 🙂

Viewing 9 posts - 1 through 9 (of 9 total)

You must be logged in to reply to this topic.

Gantry5 particles 2.1.5 released, new features, bug fixes and more Changelog
HAPPY NEW YEAR - Save 40% Off Everything! Discount code: NEWYEAR2021 Shop Now